Index: trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_1030.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,29,64,128);
 cd('TROP')
@@ -96,35 +99,39 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof1_TR_1030.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof1_TR_1030,122,29); clear eof1_TR_1030;
+olr_eof=reshape(eof1_TR_1030,122,29);
+clear eof1_TR_1030;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*29; 
+k=122*29;
 olrbis=reshape(olr_eof,k,1);
-olrbis=std(olrbis); 
+olrbis=std(olrbis);
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis));
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -161,5 +168,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-   
+
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<(-olrbis));
             compteurmin=compteurmin+1;
@@ -200,5 +207,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -217,12 +224,15 @@
 
 
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -255,5 +265,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -263,25 +273,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
+       if e==7;
       title('OLR composite EOF1 1030j simulation TR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -314,5 +327,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -322,11 +335,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -337,9 +351,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part2.eps;
Index: trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_30100.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,30,64,128);
 cd('TROP')
@@ -99,16 +102,16 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof1_TR_30100.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof1_TR_30100,122,30); clear eof1_TR_30100;
+olr_eof=reshape(eof1_TR_30100,122,30);
+clear eof1_TR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*30; 
+k=122*30;
 olrbis=reshape(olr_eof,k,1);
-olr_std=std(olrbis); 
-olr_moy=mean(olrbis); 
+olr_std=std(olrbis);
+olr_moy=mean(olrbis);
 
 for a=1:3660;
@@ -117,22 +120,26 @@
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:30; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:30;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1);
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -169,5 +176,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-   
+
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<-1);
             compteurmin=compteurmin+1;
@@ -208,5 +215,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -223,14 +230,15 @@
 end
 
-
-
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -263,5 +271,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -271,25 +279,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
+       if e==7;
       title('OLR composite EOF1 30100j simulation TR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF1_30100j_simulation_TR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF1_30100j_simulation_TR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -322,5 +333,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -330,11 +341,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -345,9 +357,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF1_30100j_simulation_TR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF1_30100j_simulation_TR_part2.eps;
Index: trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof2_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof2_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof2_1030.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,30,64,128);
 cd('TROP')
@@ -99,16 +102,16 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof2_TR_30100.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof2_TR_30100,122,30); clear eof2_TR_30100;
+olr_eof=reshape(eof2_TR_30100,122,30);
+clear eof2_TR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*30; 
+k=122*30;
 olrbis=reshape(olr_eof,k,1);
-olr_std=std(olrbis); 
-olr_moy=mean(olrbis); 
+olr_std=std(olrbis);
+olr_moy=mean(olrbis);
 
 for a=1:3660;
@@ -117,22 +120,26 @@
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:30; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:30;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1);
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -169,5 +176,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-   
+
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<-1);
             compteurmin=compteurmin+1;
@@ -208,5 +215,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -225,12 +232,15 @@
 
 
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -263,5 +273,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -271,25 +281,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
+       if e==7;
       title('OLR composite EOF2 30100j simulation TR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -322,5 +335,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -330,11 +343,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -345,9 +359,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part2.eps;
Index: trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof2_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof2_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof2_30100.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,30,64,128);
 cd('TROP')
@@ -99,16 +102,16 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof2_TR_30100.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof2_TR_30100,122,30); clear eof2_TR_30100;
+olr_eof=reshape(eof2_TR_30100,122,30);
+clear eof2_TR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*30; 
+k=122*30;
 olrbis=reshape(olr_eof,k,1);
-olr_std=std(olrbis); 
-olr_moy=mean(olrbis); 
+olr_std=std(olrbis);
+olr_moy=mean(olrbis);
 
 for a=1:3660;
@@ -117,22 +120,26 @@
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:30; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:30;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1);
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -169,5 +176,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-   
+
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<-1);
             compteurmin=compteurmin+1;
@@ -208,5 +215,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -225,12 +232,15 @@
 
 
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -263,5 +273,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -271,25 +281,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
+       if e==7;
       title('OLR composite EOF2 30100j simulation TR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -322,5 +335,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -330,11 +343,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -345,9 +359,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF2_30100j_simulation_TR_part2.eps;
Index: trunk/src/SIMULS_IRCAAM/correlations_eofs_olr_jas.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/correlations_eofs_olr_jas.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/correlations_eofs_olr_jas.m	(revision 16)
@@ -1,9 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
-
-% initialisation
-clear; close all;
+%
+
+clear;
+close all;
 
 cd('..');
@@ -30,5 +27,6 @@
 olr1=zeros(siz,37,144);
 olr1(:,:,1:72)=olr(:,:,73:144);
-olr1(:,:,73:144)=olr(:,:,1:72); clear olr;
+olr1(:,:,73:144)=olr(:,:,1:72);
+clear olr;
 
 % on permture le temps et l'espce
@@ -42,16 +40,14 @@
       vecteur=zeros(siz,1);
       for c=1:siz;
-           vecteur(c)=olr1(a,b,c);    
+           vecteur(c)=olr1(a,b,c);
       end
       std_c=nanmean(vecteur);
       for c=1:siz;
-          olr1(a,b,c)=olr1(a,b,c)-std_c;    
-      end 
+          olr1(a,b,c)=olr1(a,b,c)-std_c;
+      end
    end
-end;   
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+end;
+
 % on met sous la forme longitude latitude jour
-
 
 % on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -153,8 +149,7 @@
 %olr=zeros(37,144,92,28);
 
-
-olr1=permute(olr,[3 1 2 4]); clear olr;
-olr(:,:,:)=nanmean(olr1); 
-
+olr1=permute(olr,[3 1 2 4]);
+clear olr;
+olr(:,:,:)=nanmean(olr1);
 
 load eof3_noaa_annuel.txt
@@ -167,5 +162,5 @@
 correlations_eof3=zeros(37,144);
 
-lat=lat(5:41)'; 
+lat=lat(5:41)';
 lon=lon-180;
 
@@ -177,16 +172,20 @@
            y(c)=olr(a,b,c);
         end
-        clear coco; coco=corrcoef(y,eof1_noaa_annuel);
+        clear coco;
+        coco=corrcoef(y,eof1_noaa_annuel);
         correlations_eof1(a,b)=coco(2,1);
-        clear coco; coco=corrcoef(y,eof2_noaa_annuel);
+        clear coco;
+        coco=corrcoef(y,eof2_noaa_annuel);
         correlations_eof2(a,b)=coco(2,1);
-        clear coco; coco=corrcoef(y,eof3_noaa_annuel);
+        clear coco;
+        coco=corrcoef(y,eof3_noaa_annuel);
         correlations_eof3(a,b)=coco(2,1);
 
-    end    
+    end
 end
 
 subplot(3,1,1);
-correlations_eof1(1,1)=1.0001; correlations_eof1(1,2)=-1.0001;
+correlations_eof1(1,1)=1.0001;
+correlations_eof1(1,2)=-1.0001;
 
 contourf(lon,lat,correlations_eof1,[-1:0.1:1],'LineStyle','none');
@@ -206,5 +205,6 @@
 subplot(3,1,2);
 palette
-correlations_eof2(1,1)=1.0001; correlations_eof2(1,2)=-1.0001;
+correlations_eof2(1,1)=1.0001;
+correlations_eof2(1,2)=-1.0001;
 contourf(lon,lat,correlations_eof2,[-1:0.1:1],'LineStyle','none');
 colorbar;
@@ -224,5 +224,6 @@
 subplot(3,1,3);
 palette;
-correlations_eof3(1,1)=1.0001; correlations_eof3(1,2)=-1.0001;
+correlations_eof3(1,1)=1.0001;
+correlations_eof3(1,2)=-1.0001;
 contourf(lon,lat,correlations_eof3,[-1:0.1:1],'LineStyle','none');
 set (gca,'tickDir','out');
Index: trunk/src/SIMULS_IRCAAM/correlations_eofs_olr_jas_20.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/correlations_eofs_olr_jas_20.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/correlations_eofs_olr_jas_20.m	(revision 16)
@@ -1,9 +1,7 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
 
 % initialisation
-clear; close all;
+clear;
+close all;
 
 cd('..');
@@ -30,5 +28,6 @@
 olr1=zeros(siz,37,144);
 olr1(:,:,1:72)=olr(:,:,73:144);
-olr1(:,:,73:144)=olr(:,:,1:72); clear olr;
+olr1(:,:,73:144)=olr(:,:,1:72);
+clear olr;
 
 % on permture le temps et l'espce
@@ -42,16 +41,14 @@
       vecteur=zeros(siz,1);
       for c=1:siz;
-           vecteur(c)=olr1(a,b,c);    
+           vecteur(c)=olr1(a,b,c);
       end
       std_c=nanmean(vecteur);
       for c=1:siz;
-          olr1(a,b,c)=olr1(a,b,c)-std_c;    
-      end 
+          olr1(a,b,c)=olr1(a,b,c)-std_c;
+      end
    end
-end;   
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+end;
+
 % on met sous la forme longitude latitude jour
-
 
 % on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -153,8 +150,7 @@
 %olr=zeros(37,144,92,28);
 
-
-olr1=permute(olr,[3 1 2 4]); clear olr;
-olr(:,:,:)=nanmean(olr1); 
-
+olr1=permute(olr,[3 1 2 4]);
+clear olr;
+olr(:,:,:)=nanmean(olr1);
 
 load eof3_noaa_annuel_20.txt
@@ -167,5 +163,5 @@
 correlations_eof3=zeros(37,144);
 
-lat=lat(5:41)'; 
+lat=lat(5:41)';
 lon=lon-180;
 
@@ -177,15 +173,19 @@
            y(c)=olr(a,b,c);
         end
-        clear coco; coco=corrcoef(y,eof1_noaa_annuel_20);
+        clear coco;
+        coco=corrcoef(y,eof1_noaa_annuel_20);
         correlations_eof1(a,b)=coco(2,1);
-        clear coco; coco=corrcoef(y,eof2_noaa_annuel_20);
+        clear coco;
+        coco=corrcoef(y,eof2_noaa_annuel_20);
         correlations_eof2(a,b)=coco(2,1);
-        clear coco; coco=corrcoef(y,eof3_noaa_annuel_20);
+        clear coco;
+        coco=corrcoef(y,eof3_noaa_annuel_20);
         correlations_eof3(a,b)=coco(2,1);
-    end    
+    end
 end
 
 subplot(3,1,1);
-correlations_eof1(1,1)=1.0001; correlations_eof1(1,2)=-1.0001;
+correlations_eof1(1,1)=1.0001;
+correlations_eof1(1,2)=-1.0001;
 
 contourf(lon,lat,correlations_eof1,[-1:0.1:1],'LineStyle','none');
@@ -205,5 +205,6 @@
 subplot(3,1,2);
 palette
-correlations_eof2(1,1)=1.0001; correlations_eof2(1,2)=-1.0001;
+correlations_eof2(1,1)=1.0001;
+correlations_eof2(1,2)=-1.0001;
 contourf(lon,lat,correlations_eof2,[-1:0.1:1],'LineStyle','none');
 colorbar;
@@ -223,5 +224,6 @@
 subplot(3,1,3);
 palette;
-correlations_eof3(1,1)=1.0001; correlations_eof3(1,2)=-1.0001;
+correlations_eof3(1,1)=1.0001;
+correlations_eof3(1,2)=-1.0001;
 contourf(lon,lat,correlations_eof3,[-1:0.1:1],'LineStyle','none');
 set (gca,'tickDir','out');
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf10-30.80.dat','r');
@@ -8,7 +8,7 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
- 
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -16,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -26,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_1030_ircaam.mat');
 save('eof_1030_ircaam.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_as.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_as.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_as.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf10-30_as.80.dat','r');
@@ -8,7 +8,7 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
- 
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -16,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -26,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_1030_ircaam_as.mat');
 save('eof_1030_ircaam_as.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_ctl.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_ctl.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_ctl.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf10-30_ctl.80.dat','r');
@@ -8,7 +8,7 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
- 
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -16,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -26,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_1030_ircaam_ctl.mat');
 save('eof_1030_ircaam_ctl.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_ctl_clim.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_ctl_clim.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_ctl_clim.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf10-30_clim_sst.80.dat','r');
@@ -8,7 +8,7 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
- 
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -16,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -26,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_1030_ircaam_ctl_clim.mat');
 save('eof_1030_ircaam_ctl_clim.mat','C','L','olr')
